VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
Voice< SamplePrecision > Class Template Reference

Example Note Expression Synth Voice Class. More...

`#include <note_expression_synth_voice.h>`

Inheritance diagram for Voice< SamplePrecision >:

## Public Member Functions
| Voice ()
| ~Voice ()
void | setSampleRate (ParamValue sampleRate) SMTG_OVERRIDE
void | noteOn (int32 pitch, ParamValue velocity, float tuning, int32 sampleOffset, int32 nId) SMTG_OVERRIDE
void | noteOff (ParamValue velocity, int32 sampleOffset) SMTG_OVERRIDE
bool | process (SamplePrecision *outputBuffers[2], int32 numSamples)
void | reset () SMTG_OVERRIDE
void | setNoteExpressionValue (int32 index, ParamValue value) SMTG_OVERRIDE
Public Member Functions inherited from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >
int32 | getNoteId () const
| Returns the current note id of this voice.
virtual void | setGlobalParameterStorage (GlobalParameterState *globalParameters)
| Sets a new GlobalParameterStorage.
float | getSampleRate () const
| Returns the sampleRate.

## Protected Attributes
uint32 | n
int32 | noisePos
int32 | noiseStep
Filter * | filter
SamplePrecision | trianglePhase
SamplePrecision | sinusPhase
ParamValue | currentTriangleF
ParamValue | currentSinusF
ParamValue | currentVolume
ParamValue | currentPanningLeft
ParamValue | currentPanningRight
ParamValue | currentNoiseVolume
ParamValue | currentSinusVolume
ParamValue | currentSinusDetune
ParamValue | currentSquareVolume
ParamValue | currentTriangleVolume
ParamValue | currentTriangleSlope
ParamValue | currentLPFreq
ParamValue | currentLPQ
ParamValue | levelFromVel
ParamValue | noteOffVolumeRamp
Protected Attributes inherited from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >
GlobalParameterState * | globalParameters
int32 | noteId
int32 | pitch
int32 | noteOnSampleOffset
int32 | noteOffSampleOffset
float | tuning
ParamValue | sampleRate
ParamValue | noteOnVelocity
ParamValue | noteOffVelocity
ParamValue | values [numValues]

## Additional Inherited Members
Protected Member Functions inherited from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >
| VoiceBase ()
| VoiceBase (const VoiceBase &vb)
virtual | ~VoiceBase ()

## Detailed Description

### template<class SamplePrecision>
class Steinberg::Vst::NoteExpressionSynth::Voice< SamplePrecision >

Example Note Expression Synth Voice Class.

See Also
  Steinberg::Vst::VoiceBase

## Constructor & Destructor Documentation

Voice | ( |  | ) |

~Voice | ( |  | ) |

## Member Function Documentation

void setSampleRate | ( | ParamValue | sampleRate | ) |
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

void noteOn | ( | int32 | pitch,
|  | ParamValue | velocity,
|  | float | tuning,
|  | int32 | sampleOffset,
|  | int32 | nId
| ) |  |
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

void noteOff | ( | ParamValue | velocity,
|  | int32 | sampleOffset
| ) |  |
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

bool process | ( | SamplePrecision * | outputBuffers[2],
|  | int32 | numSamples
| ) |  |

void reset | ( |  | ) |
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

void setNoteExpressionValue | ( | int32 | index,
|  | ParamValue | value
| ) |  |
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

## Member Data Documentation

uint32 n
| protected

int32 noisePos
| protected

int32 noiseStep
| protected

Filter* filter
| protected

SamplePrecision trianglePhase
| protected

SamplePrecision sinusPhase
| protected

ParamValue currentTriangleF
| protected

ParamValue currentSinusF
| protected

ParamValue currentVolume
| protected

ParamValue currentPanningLeft
| protected

ParamValue currentPanningRight
| protected

ParamValue currentNoiseVolume
| protected

ParamValue currentSinusVolume
| protected

ParamValue currentSinusDetune
| protected

ParamValue currentSquareVolume
| protected

ParamValue currentTriangleVolume
| protected

ParamValue currentTriangleSlope
| protected

ParamValue currentLPFreq
| protected

ParamValue currentLPQ
| protected

ParamValue levelFromVel
| protected

ParamValue noteOffVolumeRamp
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.